Skip to content
Start here

Fetch a participant's detail

realtime_kit.meetings.get_meeting_participant(strparticipant_id, MeetingGetMeetingParticipantParams**kwargs) -> MeetingGetMeetingParticipantResponse
GET/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants/{participant_id}

Returns a participant details for the given meeting and participant ID.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
app_id: str

The app identifier tag.

maxLength32
meeting_id: str
formatuuid
participant_id: str
ReturnsExpand Collapse
class MeetingGetMeetingParticipantResponse:
data: Data

Data returned by the operation

id: str

ID of the participant.

formatuuid
created_at: datetime

When this object was created. The time is returned in ISO format.

formatdate-time
custom_participant_id: str

A unique participant ID generated by the client.

preset_name: str

Preset applied to the participant.

updated_at: datetime

When this object was updated. The time is returned in ISO format.

formatdate-time
name: Optional[str]

Name of the participant.

picture: Optional[str]

URL to a picture of the participant.

formaturi
success: bool

Success status of the operation

Fetch a participant's detail

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.realtime_kit.meetings.get_meeting_participant(
    participant_id="participant_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    app_id="app_id",
    meeting_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.data)
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  },
  "success": true
}
Returns Examples
{
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  },
  "success": true
}